# Generated by Django 5.0.4 on 2024-05-12 11:36

from django.db import migrations


def update_title_suffix(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        if not home_page.title_suffix:
            home_page.title_suffix = home_page.title

        home_page.title_suffix = home_page.title_suffix.replace("MS ", "").replace(
            "KS ", ""
        )

        home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0151_alter_districthomepage_footer_other_links"),
    ]

    operations = [migrations.RunPython(update_title_suffix)]
